List

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /repository
  • /tags

Returns list of tags in the repository

Request

REQUIRED SCOPES
REPOSITORY_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
tagsShortTagView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/tags" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/tags", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/tags", "tags": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/tags/v2", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/tag/v2", "name": "v2" }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/tags/v1", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/tag/v1", "name": "v1" } ] }
STATUS
200 OK